:root {
  --opacity: 0.9;
  --opacity_hover: 1;
  --fondo-boton : #404040;
  --fondo-boton_hover : #6a6a6a;
  --fondo-menu : white;
  --fondo-modal: rgb(255 255 255 / 85%);
  --fondo-menu_hover : rgb(46, 58, 69);
  --tam_w : 32px;
  --tam_h : 32px;
  --b_position : 7px 7px;
  --b_position2 : 7px 6px;
  --letra-webmap : #8a8a8a;
  --border-webmap : #2d2d2d;
  --color-icono : #ffffff;
  --tam_w_svg : 22px;
  --tam_h_svg : 23px;
  --sombra-boton: 0px 1px 4px 0px rgb(102 102 102 / 92%);
  --fondo-header-modal: white;
  --color-letra-modal: #0d7a3d;
  --tam_w_logo_modal: 140px;
  --tam_size_logo_modal: 120px;
  --tam_h_modal: 37px;
  --border-modal: rgb(218, 224, 218);
  --color-smartpalm-2: #fba93d;
  --color-celest3-smatpalm: #87CEEB;
  --tam_h_leyenda_menu: 30px;
  --tam_h22_leyenda_menu: 22px;
  --color-limite: #92D050;
  --color-lote: #FBA93D;
  --color-plantas: rgba(70, 149, 44, 0.9);
  --color-plantas2: #5C8CB8;
  --color-raster: #92D050;
  --color-ndvi: #86be4b;
  --color-gris-selected: #efefef;
  --tam_w40_icono: 40px;
  --color-grid-columna: rgb(245 245 245 / 80%);
  --color-letra-grid: #8d8d8d;
  --color-naranja-monitoreo:  #ff7500 ;
  --color-grid-btn: #777777;
  --color-grid-icono: #498420;
}
/*-------------------------------MAPS-------------------------*/
html, body, #map {
    top: 0px;
    margin: 0;
    border: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
        z-index: 0;
}
label{
        font-size: 12px;
    color: #606060;
    font-family: Arial;
}
li{
    list-style: none;
}


#uploadSHP:hover, #acercar:hover, #alejar:hover, #expandir:hover,#comparar:hover, #comparar_capas:hover, #recuadro:hover, #mapabase:hover, #mapatematicos:hover,#btn_mapabase:hover, #b_generar_medir:hover, #imprimir:hover, #medirp:hover, #vertodo:hover, .leaflet-tool-area:hover, .leaflet-tool-distance:hover{
	background-color: var(--fondo-boton_hover);
	opacity: 1;
}
#mapSearchContainer{
  position:fixed;
  top:20px;
  right: 40px;
  height:30px;
  width:180px;
  z-index:110;
  font-size:10pt;
  color:#5d5d5d;
  border:solid 1px #bbb;
  background-color:#f8f8f8;
}
#comparar_script{
    position: absolute;
    top: 4%;
    left: 21%;
}
#btn_buscar_comparar {
    width: 140px;
    font-family: Arial;
    padding: 0.5em 0.5em;
    font-size: 12px;
    border: 1px solid #afafaf;
    height: 30px;
    cursor: text;
    background-color: rgba(255, 255, 255, 0.92);
    color: #4c4c4c;
    border-radius: 4px 0px 0px 4px;
    margin-top: 10px;
}
#btn_buscar {
    width: 200px;
    padding: 14px 40px 12px 15px;
    font-size: 12px;
    border: none;
    height: 30px;
    cursor: text;
    background-color: #fffFFF;
    color: #000000 !important;
    border-radius: 4px;
    /* right: 475px; */
    top: 22px;
    background-color: #fff;
    background-repeat: no-repeat;
    background-image: url(images/search2.png);
    background-position: 175px;
    background-size: 16px;
    outline: none;
}

#btn_buscar_poblados {
    width: 185px;
    padding: 14px 45px 12px 15px;
    font-size: 12px;
    border: none;
    height: 30px;
    cursor: text;
    background-color: #fffFFF;
    color: #000000 !important;
    border-radius: 4px;
    /* right: 475px; */
    top: 22px;
    background-color: #fff;
    background-repeat: no-repeat;
    background-image: url(images/search2.png);
    background-position: 155px;
    background-size: 16px;
    outline: none;
}

.buscar{
  position:absolute;
  top:86px;
  left:60px;
  z-index:99999;
}
#logo-agp {
    width: 60px;
    margin-left: 75px;
    margin-top: 10px;
}
button {
    border: none;
    top: 0px;
    background: transparent;
    color: #f2f2f2;
    padding: 5px;
    font-size: 12px;
    border-radius: 5px;
    position: relative;
    box-sizing: border-box;
    background-size: 23px;
}
#geoservicios{
    overflow: scroll;
    height: 95%;
}
#div1{
    border-bottom: 1px solid #3c3c3c;
}

#geoservicios::-webkit-scrollbar-track
{
 -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
 background-color: #F5F5F5;
}

#geoservicios::-webkit-scrollbar
{
 width: 0px;
 background-color: #F5F5F5;
}

#geoservicios::-webkit-scrollbar-thumb
{
 /* background-color: #12c312; */
}
.geospatial_logo{
    background-image: url(../../_lib/alertas/fondos/smartpalm1.png) !important;
}

#geospatial_logo{
 width: 85px;
 height: 85px;
 background-size: 80px;
 background-image: url(../../_lib/alertas/fondos/smartpalm2.png);
 background-repeat: no-repeat;
 display: grid;
 align-self: baseline;
}
#herramientas_geo{
    display: flex;
    grid-gap: 15px;
    height: 55px;
    align-items: center;
}
.selected_color_black{
    background-color: #404040 !important;
}
.selected_color_white{
    background-color: var(--color-icono) !important;
}
.svg-settings{
    width: var(--tam_h_leyenda_menu);
    height: var(--tam_h_leyenda_menu);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/configuracion.svg);
    -webkit-mask-image: url(images/svg/configuracion.svg);
    mask-repeat: no-repeat;
    mask-size: var(--tam_h_leyenda_menu);
    cursor: pointer;
}
.svg-analiticas{
    width: var(--tam_w40_icono);
    height: var(--tam_w40_icono);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/chart_bar.svg);
    -webkit-mask-image: url(images/svg/chart_bar.svg);
    mask-repeat: no-repeat;
    mask-size: var(--tam_w40_icono);
    cursor: pointer;
}
#search-box:hover #fa-searchSite,
#search-box:focus-within #fa-searchSite,
#search-box:valid #fa-searchSite {left: 175px;color:var(--fondo-boton_hover);position: absolute;top: 10px;font-size: 15px;}

.search-cerrar{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--fondo-boton); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/cerrar.svg);
    -webkit-mask-image: url(images/svg/cerrar.svg);
    mask-repeat: no-repeat;
    mask-size: 15px;
    right: 20px;
    top: 11px;
}
.search-cerrar{
    display: none;
    position: absolute;
}


.search_site {
    background-color: #fff;
    background-repeat: no-repeat;
    background-image: url(images/search2.png);
    background-size: 17px;
    border-radius: 4px;
    padding-bottom: 0px;
    padding-left: 10px;
    padding-right: 30px;
    color: #606060;
    text-indent: 6px;
    font-size: 12px;
    width: 270px;
    height: 30px;
    line-height: 26px;
    background-position: 245px;
    border: 1px solid var(--color-gris-selected);
    outline: none;
}


/*----------------CUENTA----------------*/
#cuenta{
	position: absolute;
    padding: 15px !important;
    right: 135px !important;
    top: 18px !important;
    cursor: pointer;
    background-size: 34px;
    background-repeat: no-repeat;
}

.propiedad_img {
    position: absolute;
    z-index: 1;
    left: 10px;
    top: 2px;
}
#icons2> li > img{
 margin-top: 0 !important;
}
#usuario{
    right: 72px;
    font-size: 13px;
    font-family: Arial;
    text-align: center;
    margin-left: 85px;
    margin-top: -77px;
    /*  margin-bottom: 1.5em;
    line-height: 0.5em;*/
    color: var(--letra-webmap);
}

#correo{
	top: 12px;
	left: 112px;
	font-size: 14px;
	font-family: Arial;
	color: #8a8a8a;
	text-align: center;
	margin-left: 85px;
	margin-top: -20px;
	margin-bottom: 1.5em;
	font-weight: normal;
}
#tipoLic {
    top: 32px;
    left: 112px;
    font-size: 14px;
    font-family: Arial;
    color: #8a8a8a;
    text-align: center;
    margin-left: 85px;
    margin-top: -30px;
    margin-bottom: 1.0em;
    font-weight: normal;
}
#micuenta{
	top: -34px;
	width: 80px;
	height: 30px;
	background-color: rgba(70, 149, 44, 0.9);
	right: -136px;
	font-family: Arial;
	outline: none;
	font-size: 13px;
}
#micuenta:hover{
	background-color: #13b304;
}
#salir{
	top: -18px;
	width: 88px;
	height: 30px;
	right: -207px;
	outline: none;
	border: 1px solid rgba(154, 154, 154, 0.43);
	color: #8a8a8a;
	border-radius: 3px;
	cursor: pointer;
	font-size: 11px;
}
#salir:active{
    position: relative;
    top: -17px;
    left: 209px;
    outline: none !important;
}
.menu-on {

background-image:url(images/menu_black.png?v=0.1);
opacity: var(--opacity);
}
.menu-on:hover {

background-image:url(images/menu_black2.png?v=0.1);
opacity: var(--opacity_hover);
}
.menu-off {background-image:url(images/menu_white.png?v=0.1);opacity: var(--opacity);cursor: pointer;}
.menu-off:hover {background-image: url(images/menu_white.png?v=0.1);opacity: var(--opacity_hover);cursor: pointer;}
#menu{
	    /* position: absolute; */
	    /* padding: 15px !important; */
	    /* right: 180px !important; */
	    /* top: 20px !important; */
	    /* cursor: pointer; */
	    /* background-size: 30px; */
	    /* background-repeat: no-repeat; */
}
#settings{
	    position: absolute;
	    padding: 15px !important;
	    right: 230px !important;
	    top: 20px !important;
	    cursor: pointer;
	    background-size: 30px;
	    background-repeat: no-repeat;
}
.ayuda-off{
  background-image: url(images/settings_white.png?v=0.1);
 opacity: var(--opacity);
}
.ayuda-off:hover{
  background-image: url(images/settings_white.png?v=0.1);
 opacity: var(--opacity_hover);
}
.ayuda-on {
background-image:url(images/settings_black.png?v=0.1);
opacity: var(--opacity);
}
.ayuda-on:hover {
background-image:url(images/settings_black.png?v=0.1);
opacity: var(--opacity_hover);
}
.easy-button-button{
    box-shadow: var(--sombra-boton) !important;
}
.fa-angle-left{
    color: var(--color-icono);
}
#menu-btn {
    padding: 4px 9px 5px 10px;
    border: 1px solid transparent;
    font-weight: 300;
    user-select: none;
    transition: border-color 0.3s;
    transform: translateY(-50%);
    background: var(--fondo-boton);
    box-shadow: var(--sombra-boton);
    color: white;
    font-size: 17px;
    cursor: pointer;
    width: var(--tam_w);
    height: var(--tam_h);
    border-radius: 4px;
}

#menu-btn i {
  margin-left: 0px;
  font-size: 18px;
}
#menu-btn:hover {
  background: var(--fondo-boton_hover);
}
.menu_white{
    margin-bottom: 0px;
    background-repeat: no-repeat;
    cursor: pointer;
    right: 30px;
    bottom: 59px;
    width: 23px;
    position: absolute;
}
.menu_white button:focus + .submenu_tematicos + .mapatematicos,
.submenu_tematicos:hover, .mapatematicos:hover {
     display: block; 
}

.menu_white button:focus + .submenu_reportes,
.submenu_reportes:hover {
     display: block; 
}
.menu button:focus + .submenu,
.submenu:hover {
     display: block; 
}

.menu_base button:focus + .sub_base2,
.sub_base2:hover {
    display: block;
}

.photo-grid {
	margin-top: 5px !important;
	max-width: 1000px;
	text-align: center;
	display: flex;
	padding: 0;
}
.photo-grid img {
	display: block;
	height: auto;
	max-width: 100%;
}

.photo-grid figure {
	height: 60px;
	overflow: hidden;
	position: relative;
	width: 61px;
	padding-left: 5px;
	margin-left: 3px;
}

.photo-grid figcaption {
	background: rgba(0,0,0,0.8);
	color: white;
	display: table;
	height: 100%;
	left: 0px;
	opacity: 0;
	position: absolute;
	right: 0;
	font-size: 7px;
	top: 0;
	z-index: 100;
}

.photo-grid figcaption p {
	line-height: 20px;
}
.photo-grid li:hover figcaption {
	opacity: 1;
}
.photo-grid img {
	display: block;
	height: auto;
	-webkit-transition: all 300ms;
	-moz-transition: all 300ms;
	transition: all 300ms;
	width: 67px;
}

.photo-grid li:hover img {
	-webkit-transform: scale(1.4);
	-moz-transform: scale(1.4);
	transform: scale(1.4);
}
.photo-grid figcaption p {
	display: table-cell;
position: relative;
	vertical-align: middle;
	font-size: 10px;
font-family: Arial, serif;
	top: -40px;
	width: 80px;
	-webkit-transition: all 300ms ease-out;
	-moz-transition: all 300ms ease-out;
	transition: all 300ms ease-out;
}

.photo-grid li:hover figcaption p {
	-moz-transform: translateY(40px);
	-webkit-transform: translateY(40px);
	transform: translateY(40px);
}

/* first level menu items */
.cbp-tm-menu > li {
	display: inline-block;
	/* margin: 0 2.6em; */
	position: relative;
}


.no-touch .cbp-tm-menu > li > a:hover,
.no-touch .cbp-tm-menu > li > a:active {
	color: #02639d;
}

/* sumbenu with transitions */
.cbp-tm-submenu {
	position: absolute;
	display: block;
	visibility: hidden;
	opacity: 0;
	padding: 0;
	text-align: left;
	pointer-events: none;
	-webkit-transition: visibility 0s, opacity 0s;
	-moz-transition: visibility 0s, opacity 0s;
	transition: visibility 0s, opacity 0s;
	z-index: 1;
}

.cbp-tm-show .cbp-tm-submenu {
	/* width: 100px; */
	right: 0;
	margin: 0 0 0 -35px;
	opacity: 1;
	visibility: visible;
	pointer-events: auto;
	-webkit-transition: visibility 0s, opacity 0.3s;
	-moz-transition: visibility 0s, opacity 0.3s;
	transition: visibility 0s, opacity 0.3s;
}

.cbp-tm-show-above .cbp-tm-submenu {
	bottom: 100%;
	padding-bottom: 10px;
}

.cbp-tm-show-below .cbp-tm-submenu {
	top: 100%;
	padding-top: 10px;
}

/* extreme cases: not enough space on the sides */
.cbp-tm-nospace-right .cbp-tm-submenu {
	right: 0;
	left: auto;
}

.cbp-tm-nospace-left .cbp-tm-submenu {
	left: 0;
}

/* last menu item has to fit on the screen */
.cbp-tm-menu > li:last-child .cbp-tm-submenu {
	right: 0;
}

/* 	
arrow: depending on where the menu will be shown, we set 
the right position for the arrow
*/

.cbp-tm-submenu:after {
	border: solid transparent;
	content: " ";
	height: 0;
	width: 0;
	position: absolute;
	pointer-events: none;
}

.cbp-tm-show-above .cbp-tm-submenu:after {
	top: 100% !important;
	margin-top: -10px;
}

.cbp-tm-show-below .cbp-tm-submenu:after {
	bottom: 100%;
	margin-bottom: -10px;
}

.cbp-tm-submenu:after {
	border-color: transparent;
	border-width: 10px;
	margin-left: -10px;
	left: 75%;
	/*top: 85%;*/
}


.cbp-tm-show-above .cbp-tm-submenu:after {
	border-top-color: var(--fondo-menu);
	opacity: var(--opacity);
}

.cbp-tm-show-below .cbp-tm-submenu:after {
	border-bottom-color: #fff;
}

.cbp-tm-submenu > li {
	display: block;
	background: var(--fondo-menu);
}

.cbp-tm-submenu > li > a {
	padding: 3px 0px 5px 5px; /* top/bottom paddings in 'em' cause a tiny "jump" in Chrome on Win */
	display: block;
	font-size: 12px;
	position: relative;
	color: #389b1c;
	border: 4px solid rgb(7, 12, 7);
	-webkit-transition: all 0.2s;
	-moz-transition: all 0.2s;
	transition: all 0.2s;
	width: 110px;
	text-decoration: none;
}

.no-touch .cbp-tm-submenu > li > a:hover,
.no-touch .cbp-tm-submenu > li > a:active {
	color: #fff !important;
	background: #008208;
}

.cbp-tm-icon-archive:hover{
    color: #fff !important;
	background: #008208 !important;
    
}
.no-touch .cbp-tm-submenu > li > a:hover, .no-touch .cbp-tm-submenu > li > a:active {
    color: #fff !important;
    background: #008208;
}

.datagrid table {
    border-collapse: collapse;
    text-align: center;
    width: 100%;

}
.datagrid {
    font: normal 12px/150% Arial, serif, sans-serif;
    background: #fff;
    width: 100%;
    height: 100% !important;
}
.datagrid table td,
.datagrid table th {
    padding: 2px 10px;
}
.datagrid table thead th {
    background-color: rgba(70, 149, 44, 0.9);
    color: #FFFFFF;
    font-size: 11px;
    font-weight: bold;
    border-left: 1px solid rgba(70, 149, 44, 0.9);
    text-align: center;
}
.datagrid table thead th:first-child {
    border: none;
}
.datagrid table tbody td {
    color: #6a6c6f;
    font-size: 10px;
    font-weight: normal;
}
.datagrid table tbody .alt td {
    background: #B9F4BF;
    color: #6a6c6f;
}
.datagrid table tbody td:first-child {
     border-right: 1px solid #ccc;
     text-align: left;
     width: 160px;
}
.datagrid table tbody tr:last-child td {
    border-bottom: none;
}
.datagrid table tbody tr{
  border-bottom: 1px solid #ccc;
}
.gm-style-iw-d {
    
    overflow: hidden !important;
}
.gm-ui-hover-effect {
    opacity: .6;
    display: none !important;
}
.gm-style-iw {
	max-width: 370px !important;
	top: 0px !important;
	padding: 0 !important;
	left: 0px !important;
	background-color: #fff;
	box-shadow: 0 1px 1px 1px rgba(6, 0, 0, 0.2);
	border-radius: 4px;
}
#iw-container {
	margin-bottom: 10px;
	/*width: 370px;*/
}
#iw-container .iw-title {
	font-family: Arial, serif;
	font-size: 12px;
	font-weight: 600;
	padding: 8px;
	background-color: rgba(70, 149, 44, 0.9);
	color: white;
	margin: 0;
	text-align: center;
	border-radius: 2px 2px 0 0;
}
#iw-container .iw-content {
	font-size: 13px;
	line-height: 18px;
	font-weight: 400;
	margin-right: 1px;
	padding: 1px 0px 0px 0px;
	max-height: 200px;
	overflow-y: auto;
	overflow-x: auto;
}
.iw-content img {
	float: right;
	margin: 0 5px 5px 10px;	
}
.iw-subTitle {
	font-size: 16px;
	font-weight: 700;
	padding: 5px 0;
}
.iw-bottom-gradient {
	position: absolute;
	width: 326px;
	height: 0px;
	bottom: 0px;
	right: 18px;
	background: linear-gradient(to bottom, rgba(255,255,255,0) 0%, var(--fondo-boton) 100%);
	background: -webkit-linear-gradient(top, rgba(255,255,255,0) 0%, var(--fondo-boton) 100%);
	background: -moz-linear-gradient(top, rgba(255,255,255,0) 0%, var(--fondo-boton) 100%);
	background: -ms-linear-gradient(top, rgba(255,255,255,0) 0%, var(--fondo-boton) 100%);
}
.iw-content{
	font-family: Arial, serif;
	text-align: center;
	color: rgba(70, 149, 44, 0.9);
}
.iw-content::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #F5F5F5;
	cursor: pointer;
}

.iw-content::-webkit-scrollbar
{
	width: 7px;
	height: 9px;
	background-color: #F5F5F5;
	cursor: pointer;
}

.iw-content::-webkit-scrollbar-thumb
{
	background-color: rgba(70, 149, 44, 0.9);
	cursor: pointer;
}
.submenu_tematicos {
         display: none;
         position: absolute;
         background-color: var(--fondo-menu);
         width: 0;
         height: 75px;
         bottom: 90px;
         right: 50px;
         box-shadow: 0px 2px 5px rgba(0,0,0,.2);
         z-index: 15;
         /* border: 1px solid var(--border-modal); */
}
.btn_herramientas{
        cursor: pointer;
        background-color: var(--fondo-boton);
        border: none;
        border-radius: 4px;
        box-shadow: var(--sombra-boton);
        width: var(--tam_w) !important;
        height: var(--tam_h);
        overflow: hidden;
        padding: 4px !important;
}
.leaflet-draw-draw-polygon{
    box-shadow: var(--sombra-boton);
}
.selected_menu_map{
    background: var(--color-smartpalm-2) !important;
    border-color: var(--color-smartpalm-2) !important;
}
.svg-zoomGrid{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--fondo-boton); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/ver_grid.svg);
    -webkit-mask-image: url(images/svg/ver_grid.svg);
    mask-repeat: no-repeat;
}
.svg-expandir{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/expandir.svg);
    -webkit-mask-image: url(images/svg/expandir.svg);
    mask-repeat: no-repeat;
    mask-position: 0px 0px;
}

.svg-dibujar{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/dibujar.svg);
    -webkit-mask-image: url(images/svg/dibujar.svg);
    mask-repeat: no-repeat;
}
.svg-comparar{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/comparar.svg);
    -webkit-mask-image: url(images/svg/comparar.svg);
    mask-repeat: no-repeat;
}

.svg-medir{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/medir.svg);
    -webkit-mask-image: url(images/svg/medir.svg);
    mask-repeat: no-repeat;
}
.svg-tematico{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/capatematica.svg);
    -webkit-mask-image: url(images/svg/capatematica.svg);
    mask-repeat: no-repeat;
}
.svg-mapabase{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/mapabase.svg);
    -webkit-mask-image: url(images/svg/mapabase.svg);
    mask-repeat: no-repeat;
}
.svg-contactanos{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/phone.svg);
    -webkit-mask-image: url(images/svg/phone.svg);
    mask-repeat: no-repeat;
}
.svg-area{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/area.svg);
    -webkit-mask-image: url(images/svg/area.svg);
    mask-repeat: no-repeat;
}

.svg-distancia{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/distancia.svg);
    -webkit-mask-image: url(images/svg/distancia.svg);
    mask-size: 22px;
    mask-repeat: no-repeat;
}

.svg-mapa{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/vista_mapa.svg);
    -webkit-mask-image: url(images/svg/vista_mapa.svg);
    mask-size: 18px;
    mask-repeat: no-repeat;
}

.svg-dividida{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/vista_dividida.svg);
    -webkit-mask-image: url(images/svg/vista_dividida.svg);
    mask-size: 18px;
    mask-repeat: no-repeat;
}

.svg-tabla{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--color-icono); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/vista_tabla.svg);
    -webkit-mask-image: url(images/svg/vista_tabla.svg);
    mask-size: 18px;
    mask-repeat: no-repeat;
}


.img-traceability{
    width: var(--tam_w_logo_modal);
    background-image: url(images/svg/traceability2.png);
    background-size: var(--tam_size_logo_modal);
    background-repeat: no-repeat;
    background-position: 5px center;
    position: absolute;
    height: var(--tam_h_modal);
}
.svg-limpiar_tematicos{
    width: 25px;
    height: 30px;
    background-color: var(--fondo-boton); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/limpiar.svg);
    -webkit-mask-image: url(images/svg/limpiar.svg);
    mask-repeat: no-repeat;
    mask-size: 25px;
}
.svg-cerrar_tematicos{
    width: 33px;
    height: 33px;
    background-color: var(--fondo-boton); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/cerrar.svg);
    -webkit-mask-image: url(images/svg/cerrar.svg);
    mask-repeat: no-repeat;
    mask-size: 32px;
}
.svg-cerrar{
    width: var(--tam_w_svg);
    height: var(--tam_h_svg);
    background-color: var(--fondo-boton); /* Cambia el color aquÃ­ */
    mask-image: url(images/svg/cerrar.svg);
    -webkit-mask-image: url(images/svg/cerrar.svg);
    mask-repeat: no-repeat;
    mask-size: 22px;
}

.svg-cerrar:hover{
    background: var(--fondo-header-modal);
}

#submenu_mapabase{
    display: none;
}

#submenu_mapabase{
       position: absolute;
       right: 50px;
       bottom: 65px;
       display: none;
}
#submenu_mapabase > ul{
    display: grid;
    grid-gap: 5px;
}
#submenu_mapabase > ul > li ul{
    grid-gap: 5px;
    position: absolute;
    right: 35px;
    direction: rtl;
    display: none;
}

#submenu_mapabase > ul > li:hover ul{
    display: flex;
}
#submenu_mapabase > ul li:nth-child(1){
    background-image:url(images/img_mapabase_bing.png);
}
#submenu_mapabase > ul li:nth-child(2){
    background-image:url(images/img_mapabase_world.png);
}
#submenu_mapabase > ul li:nth-child(3){
    background-image:url(images/img_mapabase_google.png);
}

/*---------BING---------*/
#submenu_mapabase > ul > li:nth-child(1) > ul li:nth-child(1) {
    background-image:url(images/mapas/bing_road_terr.png);
}
#submenu_mapabase > ul > li:nth-child(1) > ul li:nth-child(2) {
    background-image:url(images/mapas/bing_sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(1) > ul li:nth-child(3) {
    background-image:url(images/mapas/bing_sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(1) > ul li:nth-child(4) {
    background-image:url(images/mapas/bing_road_terr.png);
}

/*---------WORLD---------*/
#submenu_mapabase > ul > li:nth-child(2) > ul li:nth-child(1) {
    background-image:url(images/mapas/world_road_terr.png);
}
#submenu_mapabase > ul > li:nth-child(2) > ul li:nth-child(2) {
    background-image:url(images/mapas/world_sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(2) > ul li:nth-child(3) {
    background-image:url(images/mapas/world_sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(2) > ul li:nth-child(4) {
    background-image:url(images/mapas/world_road_terr.png);
}

/*---------GOOGLE---------*/
#submenu_mapabase > ul > li:nth-child(3) > ul li:nth-child(1) {
    background-image:url(images/mapas/road_terr.png);
}
#submenu_mapabase > ul > li:nth-child(3) > ul li:nth-child(2) {
    background-image:url(images/mapas/sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(3) > ul li:nth-child(3) {
    background-image:url(images/mapas/sat_hyb.png);
}
#submenu_mapabase > ul > li:nth-child(3) > ul li:nth-child(4) {
    background-image:url(images/mapas/road_terr.png);
}


#submenu_mapabase ul li{
    width: 70px;
    height: 65px;
    text-align: center;
    display: grid;
    align-content: center;
    box-shadow: var(--sombra-boton);
    cursor: pointer;
    border-radius: 4px;
    border: 1px solid #4dab52;
    background-size: contain;
}
#submenu_mapabase ul li:hover{
    border: 1px solid var(--color-smartpalm-2);
}
#submenu_mapabase ul li p{
    margin: 0 !important;
    font-size: 13px;
    color: var(--fondo-boton);
    font-weight: bold;
    background: #ffffffbf;
    border: 1px solid #eeeeee;
    text-align: center;
}
#v_mapa, #v_dividida, #v_tabla{
    width: var(--tam_w);
    height: var(--tam_h);
    border: 1px solid #7c7c7c;
    padding: 6px;
    cursor: pointer;
    background: var(--fondo-boton);
}
#v_mapa:hover, #v_dividida:hover, #v_tabla:hover{
    background: var(--fondo-boton_hover);
}
#menu_map{
    display: flex;
    border-radius: 4px;
    padding: 3px;
    grid-gap: 3px;
}

#menu_tabla{
    display: flex;
    border-radius: 4px;
    background: var(--fondo-boton);
    padding: 3px;
    grid-gap: 3px;
}
/*-----------------LEYENDA TEMATICA------------------*/
.checkbox-container {
  display: block;
  float: right;
  position: absolute;
  top: 0;
  right: 0;
}

.checkbox-trigger {
  opacity: 0;
  position: absolute;
  right: 0px;
  width: 23px;
  margin: 0 !important;
  height: 70px;
  cursor: pointer;
  z-index: 5;
  top: 70px;
}

.hamburger-menu, .hamburger-menu::before, .hamburger-menu::after {
  display: block;
  position: absolute;
  /* background: #136500; */
  background-size: 25px;
  background-repeat: no-repeat;
  width: 23px;
  height: 70px;
  transition: background 0.3s;
}

.hamburger-menu::before, .hamburger-menu::after {
  content: '';
  position: absolute;
  background-image: url(images/flecha_izquierda.png?v=0.1);
  background-size: 25px;
  opacity: var(--opacity);
}

	
	
.hamburger-menu::after {}

.hamburger-menu {
  position: relative;
  display: block;
  margin: 0;
  transition: width 0.3s ease;
}

.checkbox-trigger:checked {right: 0px;}

.checkbox-trigger:checked + .menu-content .hamburger-menu {
  width: 22px;
  transition: width 0.7s ease 0.7s;
}


.checkbox-trigger:checked + .menu-content .hamburger-menu::after {
     width: 22px;
     height: 350px;
     background-image: url(images/flecha_derecha.png?v=0.1);
     background-size: 25px;
     background-repeat: no-repeat;
     transform: rotate(0deg);
}

.checkbox-trigger:checked + .menu-content ul {
  width: 300px;
  height: 350px;
  transition: width 0.7s ease 0.3s, height 0.3s ease;
  position: absolute;
  right: 0px;
}
.checkbox-container:hover + span:hover {
    opacity: var(--opacity_hover);
}
.menu-content {
  display: flex;
  /* background: var(--fondo-menu); */
  color: black;
  float: right;
  position: absolute;
  top: 70px;
  right: 0;
}

.menu-content ul {
  display: block;
  padding-left: 0;
  padding-top: 1em;
  padding-bottom: 1em;
  position: relative;
  right: -23px;
  margin: 0;
  width: 0px;
  height: 0;
  overflow: hidden;
  transition: height 0.3s ease 0.7s, width 0.7s ease;
  overflow-y: scroll;
  overflow-x: hidden;
  color: var(--letra-webmap);
}

.menu-content ul li {
  list-style: none;
  padding-bottom: 1em;
  float: none !important;
  cursor: pointer;
  transition: color 0.5s, background 0.5s;
}
	.scrollbar
{
 margin-left: 30px;
 float: left;
 height: 300px;
 width: 65px;
 background: var(--fondo-menu);
 overflow-y: scroll;
 margin-bottom: 25px;
}

/*
 *  STYLE 3
 */
#style-3{
 font-family: 'Roboto', cursive;
 text-align: center;
 color: var(--letra-webmap);
}
#style-3::-webkit-scrollbar-track
{
 -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
 background-color: #F5F5F5;
}

#style-3::-webkit-scrollbar
{
 width: 0px;
 background-color: #F5F5F5;
}

#style-3::-webkit-scrollbar-thumb
{
 /* background-color: #12c312; */
}





/* style 4 */

.inputfile-4 + label {
    color: #d3394c;
}

.inputfile-4:focus + label,
.inputfile-4.has-focus + label,
.inputfile-4 + label:hover {
    color: #722040;
}

.inputfile-4 + label figure {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background-color: #d3394c;
    display: block;
    padding: 20px;
    margin: 0 auto 10px;
}

.inputfile-4:focus + label figure,
.inputfile-4.has-focus + label figure,
.inputfile-4 + label:hover figure {
    background-color: #722040;
}

.inputfile-4 + label svg {
    width: 100%;
    height: 100%;
    fill: #f1e5e6;
}

.context-menu {
  background: var(--fondo-menu);
  border: 1px solid var(--border-webmap);
  opacity: 0;
  position: absolute;
  transition: opacity 0.5s ease, visibility 0.5s ease;
  visibility: hidden;
}
.context-menu.open {
    opacity: 1;
    transition: none;
    visibility: visible;
    z-index: 2;
    height: 142px;
    width: 145px;
}
.context-menu .context-menu-item {
  padding: 0.5em 1em;
}
.context-menu .context-menu-item:hover {
  background-color: tomato;
  color: white;
}
.editar_title{
	position: absolute;
	top: 51px;
	left: 29px;
	color: #888888;
	font-size: 13px;
	cursor: pointer;
}
#link_editar:hover{
	color: white;
}
#link_editar {
    color: #888888;
    cursor: pointer;
    font-weight: normal !important;
}
.editar_img{
        top: -1px;
    position: absolute;
    left: -23px;
    width: 16px;
}
.opacity_title{
	position: absolute;
	top: 7px;
	left: 27px;
	font-weight: initial !important;
	font-size: 13px;
	color: #888888;
	display: none;
}
#link_identificar{
    cursor: pointer;
    padding-left: 11px;
}
.identificar_title{
	position: relative;
	top: 27px ;
	left: 0px;
	font-weight: initial !important;
	font-size: 13px;
	color: #888888;
}

.identificar_title #link_identificar:hover, .comparar_title #link_comparar:hover {
    color: white !important;
}
.consulta_title {
    position: absolute;
    bottom: 4px;
    left: 26px !important;
    font-weight: initial !important;
    font-size: 13px;
}
.consulta_title #link_consultar:hover {
    color: white;
}

.opacity_title #link_opacity:hover {
    color: white;
}
.zoomcapa_img{
	    top: -1px;
	    position: absolute;
	    left: -22px;
}
.opacity_img{
	    left: -21px;
    position: absolute;
}
.identificar_img{
	    top: 2px;
	    position: relative;
	    left: -5px;
	    width: 17px;
}
.consultar_img{
	    left: -20px;
    position: absolute;
}
#link_opacity, #link_consultar{
 color: #888888;
 cursor: pointer;
}


.clima_title #link_reportes:hover, #link_imprimir:hover {
    color: white;
}
.clima_title{position: absolute;bottom: 27px;left: 27px;font-weight: initial !important;font-size: 13px;}
#link_clima {
    color: #888888;
    cursor: pointer;
}
.clima_img {
    top: -2px;
    position: absolute;
    left: -22px;
	display: none;
}

.reportes_title #link_reportes:hover, .clima_title #link_clima:hover {
    color: white !important;
}
.reportes_title{position: absolute;bottom: 26px;left: 27px;font-weight: initial !important;font-size: 13px;}


#reportes_general {
position: absolute;
    background-color: #fafafa;
    padding: 15px;
    overflow-y: scroll;
    overflow-x: hidden;
}
.reportes_img {
    top: -1px;
    position: absolute;
    left: -22px;
    width: 17px;
}
#link_reportes {
    color: #888888;
    cursor: pointer;
	display:none;
}




.analitica_img {
    top: -1px;
    position: absolute;
    left: -22px;
    width: 17px;
}
#link_analitica {
    color: #888888;
    cursor: pointer;
}
.analitica_title #link_analitica:hover {
    color: white !important;
}
.analitica_title{
position: absolute;
    bottom: 25px;
    left: 27px;
    font-weight: initial !important;
    font-size: 13px;
}
#reporte-btn-disabled{
  background-color: #cccccc;
  color: #666666;
  cursor: not-allowed;
}
.img_l{
        padding: 0px 4px 4px 4px;
}

#generar_reporte {
    background-image: url(images/gReportes.png?v=0.1);
    background-repeat: no-repeat;
    cursor: pointer;
    background-color: var(--fondo-boton);
    border-radius: 4px;
    box-shadow: var(--sombra-boton);
    width: var(--tam_w);
    height: var(--tam_h);
    background-position: 3px 4px;
    overflow: hidden;
    transition: background-color 0.16s ease-out;
    background-size: 20px;
    right: 0px;
    top: -93px;
    position: absolute;
}
#generar_reporte:hover{
    background-color: var(--fondo-boton_hover);
    opacity: var(--opacity_hover);
}
.imprimir_title{cursor: pointer;position: relative;top: 52px;left: 27px;font-weight: initial !important;font-size: 13px;color: #888888;}
#link_clima {
    color: #888888;
    cursor: pointer;
	display: none;
}

.manual_webmap{
	    position: absolute;
	    top: 75px;
	    width: 140px;
	    height: 40px;
	    right: 73px;
	    background: rgba(70, 149, 44, 0.9);
	    font-size: 14px;
	    cursor: pointer;
	    color: white;
	    font-family: Arial, serif;
}
.manual_webmap:hover{
	    background: #004629;
}


.manual_geocolector{
	    position: absolute;
	    top: 140px;
	    width: 140px;
	    height: 40px;
	    right:73px;
	    background: rgba(70, 149, 44, 0.9);
	    font-size: 14px;
	    cursor: pointer;
	    color: white;
	    font-family: Arial, serif;
}
.manual_geocolector:hover{
		background: #004629;
}

.road_map{
        border: 2px solid rgba(73, 130, 0, 0.5);
        background: url(images/mapas/road_terr.png) rgba(0, 0, 0, 0.8);
        background-repeat: no-repeat;
        background-size: 61px;
        background-position: 0px 0px;
        color: #0d141c;
        width: 65px;
        opacity: 0.9;
        height: 65px;
        margin: 1px;
        cursor: pointer;
        line-height: 56px;
        color: #fff;
        text-align: center;
        text-shadow: 1px 1px 3px #000000;
}
.satelite_map{
        border: 2px solid rgba(73, 130, 0, 0.5);
    background: url(images/mapas/sat_hyb.png) rgba(0, 0, 0, 0.8);
    background-repeat: no-repeat;
    background-size: 61px;
    background-position: 0px 0px;
    color: #0d141c;
    width: 65px;
    opacity: 0.9;
    height: 65px;
    margin: 1px;
    cursor: pointer;
    line-height: 56px;
    color: #fff;
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
}
.hybrid_map{
        border: 2px solid rgba(73, 130, 0, 0.5);
    background: url(images/mapas/sat_hyb.png) rgba(0, 0, 0, 0.8);
    background-repeat: no-repeat;
    background-size: 61px;
    background-position: 0px 0px;
    color: #0d141c;
    width: 65px;
    opacity: 0.9;
    height: 65px;
    margin: 1px;
    cursor: pointer;
    line-height: 56px;
    color: #fff;
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
}
.terrain_map{
        border: 2px solid rgba(73, 130, 0, 0.5);
    background: url(images/mapas/road_terr.png) rgba(0, 0, 0, 0.8);
    background-repeat: no-repeat;
    background-size: 61px;
    background-position: 0px 0px;
    color: #0d141c;
    width: 65px;
    opacity: 0.9;
    height: 65px;
    margin: 1px;
    cursor: pointer;
    line-height: 56px;
    color: #fff;
    text-align: center;
    text-shadow: 1px 1px 3px #000000;
}
#btn_buscar_censo {
    padding: 8px 35px 7px 15px;
    font-size: 12px;
    border: none;
    height: 30px;
    cursor: text;
    background-color: #fffFFF;
    color: #000000 !important;
    border-radius: 4px;
    /* right: 475px; */
    top: 22px;
    background-color: #fff;
    background-repeat: no-repeat;
    background-image: url(images/search2.png);
    background-position: 183px;
    background-size: 17px;
    outline: none;
    width: 210px;
}
